diff -ruN ../nakedmudv2.4/src/set.c src/set.c
--- ../nakedmudv2.4/src/set.c	Sat Jun  4 23:40:30 2005
+++ src/set.c	Sat Jun 18 14:46:43 2005
@@ -10,6 +10,9 @@
 #include "list.h"
 #include "set.h"
 
+// how big of a size do our set start out at?
+#define DEFAULT_SET_SIZE        5
+
 struct set_data {
   int    num_buckets;
   int    size;
@@ -17,9 +20,9 @@
 };
 
 struct set_iterator {
-  int                curr_bucket; // the bucket number we're currently on
-  struct set_data           *set; // the set we're iterating over
-  LIST_ITERATOR *bucket_i;        // the iterator for our current bucket
+  int         curr_bucket; // the bucket number we're currently on
+  struct set_data    *set; // the set we're iterating over
+  LIST_ITERATOR *bucket_i; // the iterator for our current bucket
 };
 
 
@@ -28,33 +31,54 @@
 // local functions
 //*****************************************************************************
 
-
 //
 // Find the bucket the set element belongs to
 int set_elem_bucket(void *elem, int num_buckets) {
   // simple for now: just take the modulo
-  return ((int)elem) % num_buckets;
+  return ((int)elem < 0 ? -1 * (int)elem : (int)elem) % num_buckets;
 };
 
 
+//
+// expand a set to the new number of buckets
+void setExpand(SET *set, int size) {
+  // collect all of the key:value pairs
+  LIST *entries = setCollect(set);
+  void *entry = NULL;
+  int i;
+
+  // delete all of the current buckets
+  for(i = 0; i < set->num_buckets; i++) {
+    if(set->buckets[i] == NULL) continue;
+    deleteList(set->buckets[i]);
+  }
+  free(set->buckets);
+
+  // now, make new buckets and set them to NULL
+  set->buckets = calloc(size, sizeof(LIST *));
+  set->num_buckets = size;
+
+  // now, we put all of our entries back into the new buckets
+  while((entry = listPop(entries)) != NULL) {
+    int bucket = set_elem_bucket(entry, set->num_buckets);
+    if(set->buckets[bucket] == NULL) set->buckets[bucket] = newList();
+    listPut(set->buckets[bucket], entry);
+  }
+  deleteList(entries);
+}
+
+
 
 //*****************************************************************************
 // implementation of set.h
 //*****************************************************************************
-SET *newSet(int num_buckets) {
-  int i;
-
-  SET *set = malloc(sizeof(SET));
-  set->buckets = malloc(sizeof(LIST *) * num_buckets);
-  set->size    = 0;
-
-  // all NULL until they actually get a content
-  for(i = 0; i < num_buckets; i++)
-    set->buckets[i] = NULL;
-  set->num_buckets = num_buckets;
-
+SET *newSet(void) {
+  SET *set         = calloc(1, sizeof(SET));
+  set->buckets     = calloc(DEFAULT_SET_SIZE, sizeof(LIST *));
+  set->num_buckets = DEFAULT_SET_SIZE;
+  set->size        = 0;
   return set;
-};
+}
 
 void deleteSet(SET *set) {
   int i;
@@ -67,7 +91,19 @@
   free(set);
 };
 
+int setSize(SET *set) {
+  return set->size;
+}
+
 void setPut(SET *set, void *elem) {
+  // only one copy per set
+  if(setIn(set, elem))
+    return;
+
+  // first, see if we'll need to expand the table
+  if((set->size * 80)/100 > set->num_buckets)
+    setExpand(set, (set->num_buckets * 150)/100);
+
   // find out what bucket we belong to
   int hash_bucket = set_elem_bucket(elem, set->num_buckets);
 
@@ -76,7 +112,8 @@
     set->buckets[hash_bucket] = newList();
   // listPut ensures only one copy is in the list
   listPut(set->buckets[hash_bucket], elem);
-};
+  set->size++;
+}
 
 void setRemove(SET *set, void *elem) {
   // find out what bucket we belong to
@@ -84,8 +121,9 @@
 
   // see if the bucket exists
   if(set->buckets[hash_bucket] != NULL)
-    listRemove(set->buckets[hash_bucket], elem);
-};
+    if(listRemove(set->buckets[hash_bucket], elem))
+      set->size--;
+}
 
 int setIn(SET *set, void *elem) {
   // find out what bucket we belong to
@@ -95,7 +133,77 @@
     return listIn(set->buckets[hash_bucket], elem);
   else
     return 0;
-};
+}
+
+LIST *setCollect(SET *set) {
+  LIST *list = newList();
+  int i;
+
+  for(i = 0; i < set->num_buckets; i++) {
+    if(set->buckets[i] == NULL) continue;
+    LIST_ITERATOR *list_i = newListIterator(set->buckets[i]);
+    void            *elem = NULL;
+    for(;(elem=listIteratorCurrent(list_i)) != NULL;listIteratorNext(list_i))
+      listPut(list, elem);
+    deleteListIterator(list_i);
+  }
+  return list;
+}
+
+SET  *setCopy(SET *set) {
+  SET *newset = newSet();
+  setExpand(newset, set->num_buckets);
+  SET_ITERATOR *set_i = newSetIterator(set);
+  void          *elem = NULL;
+  ITERATE_SET(elem, set_i) {
+    setPut(newset, elem);
+  } deleteSetIterator(set_i);
+  return newset;
+}
+
+SET  *setUnion(SET *set1, SET *set2) {
+  SET *newset   = NULL;
+  SET *copyfrom = NULL; 
+  if(set1->size > set2->size) {
+    copyfrom = set2;
+    newset   = setCopy(set1);
+  }
+  else {
+    copyfrom = set1;
+    newset   = setCopy(set2);
+  }
+
+  // copy all of the remaining elements
+  SET_ITERATOR *set_i = newSetIterator(copyfrom);
+  void          *elem = NULL;
+  ITERATE_SET(elem, set_i) {
+    setPut(newset, elem);
+  } deleteSetIterator(set_i);
+
+  return newset;
+}
+
+SET  *setIntersection(SET *set1, SET *set2) {
+  SET *intersection = NULL;
+  SET *compagainst  = NULL;
+  if(set1->size > set2->size) {
+    intersection = setCopy(set2);
+    compagainst  = set1;
+  }
+  else {
+    intersection = setCopy(set1);
+    compagainst  = set2;
+  }
+
+  // remove everything not in the intersection
+  SET_ITERATOR *set_i = newSetIterator(intersection);
+  void          *elem = NULL;
+  ITERATE_SET(elem, set_i) {
+    if(!setIn(compagainst, elem))
+      setRemove(intersection, elem);
+  } deleteSetIterator(set_i);
+  return intersection;
+}
 
 
 
diff -ruN ../nakedmudv2.4/src/set.h src/set.h
--- ../nakedmudv2.4/src/set.h	Sat Jun  4 23:40:30 2005
+++ src/set.h	Sat Jun 18 14:46:43 2005
@@ -11,11 +11,17 @@
 typedef struct set_data                   SET;
 typedef struct set_iterator               SET_ITERATOR;
 
-SET  *newSet   (int buckets);
-void  deleteSet(SET *set);
-void  setPut   (SET *set, void *elem);
-void  setRemove(SET *set, void *elem);
-int   setIn    (SET *set, void *elem);
+SET  *newSet         (void);
+void  deleteSet      (SET *set);
+void  setPut         (SET *set, void *elem);
+void  setRemove      (SET *set, void *elem);
+int   setIn          (SET *set, void *elem);
+int   setSize        (SET *set);
+LIST *setCollect     (SET *set);
+SET  *setCopy        (SET *set);
+SET  *setUnion       (SET *set1, SET *set2);
+SET  *setIntersection(SET *set1, SET *set2);
+
 
 
 //*****************************************************************************
@@ -26,6 +32,13 @@
 // this lets us do so.
 //
 //*****************************************************************************
+
+// iterate across all the elements in a set
+#define ITERATE_SET(elem, it) \
+  for(elem = setIteratorCurrent(it); \
+      elem != NULL; \
+      setIteratorNext(it), elem = setIteratorCurrent(it))
+
 
 SET_ITERATOR *newSetIterator    (SET *S);
 void          deleteSetIterator (SET_ITERATOR *I);
diff -ruN ../nakedmudv2.4/src/socket.c src/socket.c
--- ../nakedmudv2.4/src/socket.c	Sat Jun  4 23:40:30 2005
+++ src/socket.c	Sat Jun 18 14:46:43 2005
@@ -7,6 +7,7 @@
 #include "wrapsock.h"
 #include <netdb.h>
 #include <sys/ioctl.h>
+#include <arpa/inet.h> 
 
 /* including main header file */
 #include "mud.h"
diff -ruN ../nakedmudv2.4/src/utils.c src/utils.c
--- ../nakedmudv2.4/src/utils.c	Sat Jun  4 23:40:30 2005
+++ src/utils.c	Sat Jun 18 14:52:16 2005
@@ -462,11 +462,10 @@
 //
 int next_letter_in(const char *string, char marker) {
   int i = 0;
-  for(i = 0; string[i] != '\0'; i++) {
+  for(i = 0; string[i] != '\0'; i++)
     if(string[i] == marker)
-      break;
-  }
-  return i;
+      return i;
+  return -1; // none found
 }
 
 
@@ -492,6 +491,17 @@
   return (hvalue < 0 ? hvalue * -1 : hvalue);
 }
 
+bool endswith(const char *string, const char *end) {
+  int slen = strlen(string);
+  int elen = strlen(end);
+  return (slen >= elen && !strcmp(string + slen - elen, end));
+}
+
+bool startswith(const char *string, const char *start) {
+  return !strncmp(string, start, strlen(start));
+}
+
+
 
 void format_string(char **string, int max_width, 
 		   unsigned int maxlen, bool indent) {
@@ -499,7 +509,7 @@
   bool needs_capital = TRUE;
   bool needs_indent  = FALSE; // no indent on the first line, unless
                               // we get the OK from the indent parameter
-  int format_i = 0, string_i = 0, col = 0;
+  int format_i = 0, string_i = 0, col = 0, next_space = 0;
 
   // put in our indent
   if(indent) {
@@ -515,9 +525,11 @@
 
   for(; (*string)[string_i] != '\0'; string_i++) {
 
-    // we have to put a newline in because
-    // the word won't fit on the line
-    if(col + next_space_in((*string)+string_i) > max_width-2) {
+    // we have to put a newline in because the word won't fit on the line
+    next_space = next_space_in((*string)+string_i);
+    if(next_space == -1)
+      next_space = strlen((*string)+string_i);
+    if(col + next_space > max_width-2) {
       formatted[format_i] = '\r'; format_i++;
       formatted[format_i] = '\n'; format_i++;
       col = 0;
@@ -685,6 +697,8 @@
       keywords = keywords+1;
     // figure out the length of the current keyword
     int keyword_len = next_letter_in(keywords, ',');
+    if(keyword_len == -1)
+      keyword_len = strlen(keywords);
 
     // see if we compare to the current keyword
     if(!abbrev_ok && !strncasecmp(keywords, word, keyword_len) &&
@@ -1279,6 +1293,17 @@
 
 void *identity_func(void *data) {
   return data;
+}
+
+bool cmd_matches(const char *pattern, const char *cmd) {
+  int len = next_letter_in(pattern, '*');
+  // we have to match exactly
+  if(len == -1)
+    return !strcasecmp(pattern, cmd);
+  else if(len == 0)
+    return TRUE;
+  else
+    return !strncasecmp(pattern, cmd, len);
 }
 
 bool charHasMoreUserGroups(CHAR_DATA *ch1, CHAR_DATA *ch2) {
diff -ruN ../nakedmudv2.4/src/utils.h src/utils.h
--- ../nakedmudv2.4/src/utils.h	Sat Jun  4 23:40:30 2005
+++ src/utils.h	Sat Jun 18 14:46:43 2005
@@ -18,9 +18,12 @@
 #define e                     2.71828182
 
 #define UMIN(a, b)	      ((a) < (b) ? (a) : (b))
+#ifndef MIN
 #define MIN(a, b)             ((a) < (b) ? (a) : (b))
+#endif
+#ifndef MAX
 #define MAX(a, b)             ((a) < (b) ? (b) : (a))
-
+#endif
 
 //
 // return a random number pulled from a uniform distribution 
@@ -48,12 +51,12 @@
 //*****************************************************************************
 // Utilities for characters
 //*****************************************************************************
-#define IS_ADMIN(ch)          ((charGetLevel(ch)) > LEVEL_PLAYER ? TRUE : FALSE)
+#define IS_ADMIN(ch)          (bitIsOneSet(charGetUserGroups(ch), "admin"))
 
 #define HIMHER(ch)            (charGetSex(ch) == SEX_MALE ? "him" : \
 			       (charGetSex(ch) == SEX_FEMALE ? "her" : "it"))
 
-#define HISHERS(ch)           (charGetSex(ch) == SEX_MALE ? "his" : \
+#define HISHER(ch)            (charGetSex(ch) == SEX_MALE ? "his" : \
 			       (charGetSex(ch) == SEX_FEMALE ? "her" : "its"))
 
 #define HESHE(ch)             (charGetSex(ch) == SEX_MALE ? "he" : \
@@ -126,6 +129,8 @@
 int next_space_in         (char *string);
 int next_letter_in        (const char *string, char marker);
 int string_hash           (const char *key);
+bool endswith             (const char *string, const char *end);
+bool startswith           (const char *string, const char *start);
 
 
 
@@ -151,11 +156,20 @@
 //*****************************************************************************
 
 //
+// Returns whether or not the command matches the pattern. Patterns are just
+// like commands, except they can be terminated with *'s to signify that
+// "anything can follow at this point". Example matches might include:
+//
+//  PATTERN           MATCHES             NON-MATCHES
+//  go*               goto, gossip, go    g
+//  go                go                  g, goss, gossip
+bool cmd_matches(const char *pattern, const char *cmd);
+
+//
 // returns TRUE if ch1 belongs to more user groups than ch2. By "more", we mean
 // that ch2's user groups must be a subset of ch1's
 bool charHasMoreUserGroups(CHAR_DATA *ch1, CHAR_DATA *ch2);
 
-
 //
 // a function that returns the argument passed into it
 void *identity_func(void *data);
@@ -164,32 +178,6 @@
 // checks to see if a file or directory exists
 bool file_exists(const char *fname);
 bool dir_exists (const char *dname);
-
-// iterate across all the elements in a list
-#define ITERATE_LIST(val, it) \
-  for(val = listIteratorCurrent(it); val != NULL; val = listIteratorNext(it))
-
-// iterate across all the elements in a hashtable
-#define ITERATE_HASH(key, val, it) \
-  for(key = hashIteratorCurrentKey(it), val = hashIteratorCurrentVal(it); \
-      key != NULL; \
-      hashIteratorNext(it), \
-      key = hashIteratorCurrentKey(it), val = hashIteratorCurrentVal(it))
-
-// iterate across all of the elements in a map
-#define ITERATE_MAP(key, val, it) \
-  for(key = mapIteratorCurrentKey(it), val = mapIteratorCurrentVal(it); \
-      key != NULL; \
-      mapIteratorNext(it), \
-      key = mapIteratorCurrentKey(it), val = mapIteratorCurrentVal(it))
-
-// iterate across all the elements in a set
-#define ITERATE_SET(elem, it) \
-  for(elem = setIteratorCurrent(it); \
-      elem != NULL; \
-      setIteratorNext(it), elem = setIteratorCurrent(it))
-
-
 
 
 //
diff -ruN ../nakedmudv2.4/src/world.c src/world.c
--- ../nakedmudv2.4/src/world.c	Sat Jun  4 23:40:30 2005
+++ src/world.c	Sat Jun 18 14:46:43 2005
@@ -106,26 +106,26 @@
 }
 
 
-ROOM_DATA *worldRemoveRoomVnum(WORLD_DATA *world, room_vnum vnum) {
+ROOM_DATA *worldRemoveRoomVnum(WORLD_DATA *world, int vnum) {
   propertyTableRemove(world->rooms, vnum);
   return worldRemoveVnum(world, zoneRemoveRoom, vnum);
 };
 
 
-CHAR_DATA *worldRemoveMobVnum(WORLD_DATA *world, mob_vnum vnum) {
+CHAR_DATA *worldRemoveMobVnum(WORLD_DATA *world, int vnum) {
   return worldRemoveVnum(world, zoneRemoveMob, vnum);
 };
 
 
-OBJ_DATA *worldRemoveObjVnum(WORLD_DATA *world, obj_vnum vnum) {
+OBJ_DATA *worldRemoveObjVnum(WORLD_DATA *world, int vnum) {
   return worldRemoveVnum(world, zoneRemoveObj, vnum);
 };
 
-SCRIPT_DATA *worldRemoveScriptVnum(WORLD_DATA *world, script_vnum vnum) {
+SCRIPT_DATA *worldRemoveScriptVnum(WORLD_DATA *world, int vnum) {
   return worldRemoveVnum(world, zoneRemoveScript, vnum);
 };
 
-DIALOG_DATA *worldRemoveDialogVnum(WORLD_DATA *world, dialog_vnum vnum) {
+DIALOG_DATA *worldRemoveDialogVnum(WORLD_DATA *world, int vnum) {
   return worldRemoveVnum(world, zoneRemoveDialog, vnum);
 };
 
@@ -150,7 +150,7 @@
 };
 
 
-ZONE_DATA *worldRemoveZoneVnum(WORLD_DATA *world, zone_vnum vnum) {
+ZONE_DATA *worldRemoveZoneVnum(WORLD_DATA *world, int vnum) {
   // go through and find our zone
   LIST_ITERATOR *zone_i = newListIterator(world->zones);
   ZONE_DATA *zone = NULL;
@@ -260,7 +260,7 @@
 // Search through all of the zones in this world, and return the one
 // that has min/max vnums that bound this vnum
 //
-ZONE_DATA *worldZoneBounding(WORLD_DATA *world, room_vnum vnum) {
+ZONE_DATA *worldZoneBounding(WORLD_DATA *world, int vnum) {
   LIST_ITERATOR *zone_i = newListIterator(world->zones);
   ZONE_DATA *zone = NULL;
 
@@ -276,7 +276,7 @@
   return world->zones;
 }
 
-ZONE_DATA  *worldGetZone(WORLD_DATA *world, zone_vnum vnum) {
+ZONE_DATA  *worldGetZone(WORLD_DATA *world, int vnum) {
   LIST_ITERATOR *zone_i = newListIterator(world->zones);
   ZONE_DATA *zone = NULL;
 
@@ -312,7 +312,7 @@
   return data;
 }
 
-ROOM_DATA  *worldGetRoom(WORLD_DATA *world, room_vnum vnum) {
+ROOM_DATA  *worldGetRoom(WORLD_DATA *world, int vnum) {
   ROOM_DATA *room = worldGet(world, zoneGetRoom, vnum);
   // if it exists, we might as well toss it
   // into the global table for future reference
@@ -321,19 +321,19 @@
   return room;
 };
 
-CHAR_DATA  *worldGetMob(WORLD_DATA *world, mob_vnum vnum) {
+CHAR_DATA  *worldGetMob(WORLD_DATA *world, int vnum) {
   return worldGet(world, zoneGetMob, vnum);
 };
 
-OBJ_DATA  *worldGetObj(WORLD_DATA *world, obj_vnum vnum) {
+OBJ_DATA  *worldGetObj(WORLD_DATA *world, int vnum) {
   return worldGet(world, zoneGetObj, vnum);
 };
 
-SCRIPT_DATA  *worldGetScript(WORLD_DATA *world, script_vnum vnum) {
+SCRIPT_DATA  *worldGetScript(WORLD_DATA *world, int vnum) {
   return worldGet(world, zoneGetScript, vnum);
 };
 
-DIALOG_DATA  *worldGetDialog(WORLD_DATA *world, dialog_vnum vnum) {
+DIALOG_DATA  *worldGetDialog(WORLD_DATA *world, int vnum) {
   return worldGet(world, zoneGetDialog, vnum);
 };
 
diff -ruN ../nakedmudv2.4/src/world.h src/world.h
--- ../nakedmudv2.4/src/world.h	Sat Jun  4 23:40:30 2005
+++ src/world.h	Sat Jun 18 14:46:43 2005
@@ -26,12 +26,12 @@
 // Removes the room with the ID from the world, and returns it.
 // returns NULL if the room does not exist.
 //
-ROOM_DATA *worldRemoveRoomVnum(WORLD_DATA *world, room_vnum vnum);
-CHAR_DATA  *worldRemoveMobVnum (WORLD_DATA *world, mob_vnum  vnum);
-OBJ_DATA  *worldRemoveObjVnum (WORLD_DATA *world, obj_vnum  vnum);
-SCRIPT_DATA *worldRemoveScriptVnum(WORLD_DATA *world, script_vnum vnum);
-DIALOG_DATA *worldRemoveDialogVnum(WORLD_DATA *world, dialog_vnum vnum);
-ZONE_DATA *worldRemoveZoneVnum(WORLD_DATA *world, zone_vnum vnum);
+ROOM_DATA *worldRemoveRoomVnum(WORLD_DATA *world, int vnum);
+CHAR_DATA  *worldRemoveMobVnum (WORLD_DATA *world, int  vnum);
+OBJ_DATA  *worldRemoveObjVnum (WORLD_DATA *world, int  vnum);
+SCRIPT_DATA *worldRemoveScriptVnum(WORLD_DATA *world, int vnum);
+DIALOG_DATA *worldRemoveDialogVnum(WORLD_DATA *world, int vnum);
+ZONE_DATA *worldRemoveZoneVnum(WORLD_DATA *world, int vnum);
 
 
 //
@@ -70,13 +70,13 @@
 // set and get functions
 //
 //*****************************************************************************
-ZONE_DATA   *worldZoneBounding(WORLD_DATA *world, room_vnum vnum);
-ZONE_DATA   *worldGetZone(WORLD_DATA *world, zone_vnum vnum);
-ROOM_DATA   *worldGetRoom(WORLD_DATA *world, room_vnum vnum);
-CHAR_DATA    *worldGetMob (WORLD_DATA *world, mob_vnum  vnum);
-OBJ_DATA    *worldGetObj (WORLD_DATA *world, obj_vnum  vnum);
-SCRIPT_DATA *worldGetScript(WORLD_DATA *world, script_vnum vnum);
-DIALOG_DATA *worldGetDialog(WORLD_DATA *world, dialog_vnum vnum);
+ZONE_DATA   *worldZoneBounding(WORLD_DATA *world, int vnum);
+ZONE_DATA   *worldGetZone(WORLD_DATA *world, int vnum);
+ROOM_DATA   *worldGetRoom(WORLD_DATA *world, int vnum);
+CHAR_DATA    *worldGetMob (WORLD_DATA *world, int  vnum);
+OBJ_DATA    *worldGetObj (WORLD_DATA *world, int  vnum);
+SCRIPT_DATA *worldGetScript(WORLD_DATA *world, int vnum);
+DIALOG_DATA *worldGetDialog(WORLD_DATA *world, int vnum);
 LIST        *worldGetZones(WORLD_DATA *world);
 
 void        worldPutZone(WORLD_DATA *world, ZONE_DATA *zone);
diff -ruN ../nakedmudv2.4/src/wrapsock.h src/wrapsock.h
--- ../nakedmudv2.4/src/wrapsock.h	Sat Jun  4 23:40:30 2005
+++ src/wrapsock.h	Sat Jun 18 14:46:43 2005
@@ -23,7 +23,7 @@
 /* errno, EINTR */
 #include <sys/errno.h>
 /* htons, htonl, inet_pton */
-#include <arpa/inet.h> 
+//#include <arpa/inet.h> 
 /* storage size of struct address, INADDR_ANY */
 #include <netinet/in.h> 
 /* va_list, va_start, va_end */
diff -ruN ../nakedmudv2.4/src/zone.c src/zone.c
--- ../nakedmudv2.4/src/zone.c	Sat Jun  4 23:40:30 2005
+++ src/zone.c	Sat Jun 18 14:46:43 2005
@@ -37,9 +37,9 @@
   PROPERTY_TABLE *mob_protos;
   PROPERTY_TABLE *obj_protos;
 
-  zone_vnum vnum;
-  room_vnum min;
-  room_vnum max;
+  int vnum;
+  int min;
+  int max;
 
   int pulse_timer;  // the timer duration
   int pulse;        // how far down have we gone?
@@ -48,7 +48,7 @@
 };
 
 
-ZONE_DATA *newZone(zone_vnum vnum, room_vnum min, room_vnum max) {
+ZONE_DATA *newZone(int vnum, int min, int max) {
   ZONE_DATA *zone = malloc(sizeof(ZONE_DATA));
   zone->name    = strdup("");
   zone->desc    = newBuffer(1);
@@ -333,23 +333,23 @@
     return propertyTableRemove(table, vnum);
 }
 
-ROOM_DATA *zoneRemoveRoom(ZONE_DATA *zone, room_vnum room){ 
+ROOM_DATA *zoneRemoveRoom(ZONE_DATA *zone, int room){ 
   return zoneRemove(zone, zone->rooms, "room", room);
 }
 
-CHAR_DATA *zoneRemoveMob(ZONE_DATA *zone, mob_vnum mob){ 
+CHAR_DATA *zoneRemoveMob(ZONE_DATA *zone, int mob){ 
   return zoneRemove(zone, zone->mob_protos, "mob", mob);
 }
 
-OBJ_DATA *zoneRemoveObj(ZONE_DATA *zone, obj_vnum obj){ 
+OBJ_DATA *zoneRemoveObj(ZONE_DATA *zone, int obj){ 
   return zoneRemove(zone, zone->obj_protos, "obj", obj);
 }
 
-SCRIPT_DATA *zoneRemoveScript(ZONE_DATA *zone, script_vnum script) { 
+SCRIPT_DATA *zoneRemoveScript(ZONE_DATA *zone, int script) { 
   return zoneRemove(zone, zone->scripts, "script", script);
 }
 
-DIALOG_DATA *zoneRemoveDialog(ZONE_DATA *zone, dialog_vnum dialog) { 
+DIALOG_DATA *zoneRemoveDialog(ZONE_DATA *zone, int dialog) { 
   return zoneRemove(zone, zone->dialogs, "dialog", dialog);
 }
 
@@ -364,15 +364,15 @@
   return (!charIsNPC(ch) && is_keyword(zone->editors, charGetName(ch), FALSE));
 }
 
-zone_vnum zoneGetVnum(ZONE_DATA *zone) { 
+int zoneGetVnum(ZONE_DATA *zone) { 
   return zone->vnum;
 }
 
-room_vnum zoneGetMinBound(ZONE_DATA *zone) { 
+int zoneGetMinBound(ZONE_DATA *zone) { 
   return zone->min;
 }
 
-room_vnum zoneGetMaxBound(ZONE_DATA *zone) { 
+int zoneGetMaxBound(ZONE_DATA *zone) { 
   return zone->max;
 }
 
@@ -380,8 +380,8 @@
   return hashGet(zone->auxiliary_data, name);
 }
 
-room_vnum getFreeRoomVnum(ZONE_DATA *zone) {
-  zone_vnum i;
+int getFreeRoomVnum(ZONE_DATA *zone) {
+  int i;
   for(i = zone->min; i <= zone->max; i++)
     if(!zoneGetRoom(zone, i))
       return i;
@@ -431,35 +431,35 @@
     return propertyTableGet(table, vnum);
 }
 
-ROOM_DATA *zoneGetRoom(ZONE_DATA *zone, room_vnum room) {
+ROOM_DATA *zoneGetRoom(ZONE_DATA *zone, int room) {
   return zoneGet(zone, zone->rooms, "room", room);
 }
 
-CHAR_DATA *zoneGetMob(ZONE_DATA *zone, mob_vnum mob) {
+CHAR_DATA *zoneGetMob(ZONE_DATA *zone, int mob) {
   return zoneGet(zone, zone->mob_protos, "mob", mob);
 }
 
-OBJ_DATA *zoneGetObj(ZONE_DATA *zone, obj_vnum obj) {
+OBJ_DATA *zoneGetObj(ZONE_DATA *zone, int obj) {
   return zoneGet(zone, zone->obj_protos, "obj", obj);
 }
 
-SCRIPT_DATA *zoneGetScript(ZONE_DATA *zone, script_vnum script) {
+SCRIPT_DATA *zoneGetScript(ZONE_DATA *zone, int script) {
   return zoneGet(zone, zone->scripts, "script", script);
 };
 
-DIALOG_DATA *zoneGetDialog(ZONE_DATA *zone, dialog_vnum dialog) {
+DIALOG_DATA *zoneGetDialog(ZONE_DATA *zone, int dialog) {
   return zoneGet(zone, zone->dialogs, "dialog", dialog);
 };
 
-void zoneSetVnum(ZONE_DATA *zone, zone_vnum vnum) { 
+void zoneSetVnum(ZONE_DATA *zone, int vnum) { 
   zone->vnum = vnum;
 }
 
-void zoneSetMinBound(ZONE_DATA *zone, room_vnum min) { 
+void zoneSetMinBound(ZONE_DATA *zone, int min) { 
   zone->min = min;
 }
 
-void zoneSetMaxBound(ZONE_DATA *zone, room_vnum max) { 
+void zoneSetMaxBound(ZONE_DATA *zone, int max) { 
   zone->max = max;
 }
 
diff -ruN ../nakedmudv2.4/src/zone.h src/zone.h
--- ../nakedmudv2.4/src/zone.h	Sat Jun  4 23:40:30 2005
+++ src/zone.h	Sat Jun 18 14:46:43 2005
@@ -15,7 +15,7 @@
 //
 // Create a new zone, with vnums bounded between (inclusive) min and max
 //
-ZONE_DATA *newZone(zone_vnum vnum, room_vnum min, room_vnum max);
+ZONE_DATA *newZone(int vnum, int min, int max);
 
 
 //
@@ -69,11 +69,11 @@
 void zoneAddDialog(ZONE_DATA *zone, DIALOG_DATA *dialog);
 
 
-ROOM_DATA *zoneRemoveRoom(ZONE_DATA *zone, room_vnum room);
-CHAR_DATA  *zoneRemoveMob(ZONE_DATA *zone, mob_vnum mob);
-OBJ_DATA  *zoneRemoveObj(ZONE_DATA *zone, obj_vnum obj);
-SCRIPT_DATA *zoneRemoveScript(ZONE_DATA *zone, script_vnum script);
-DIALOG_DATA *zoneRemoveDialog(ZONE_DATA *zone, dialog_vnum script);
+ROOM_DATA *zoneRemoveRoom(ZONE_DATA *zone, int room);
+CHAR_DATA  *zoneRemoveMob(ZONE_DATA *zone, int mob);
+OBJ_DATA  *zoneRemoveObj(ZONE_DATA *zone, int obj);
+SCRIPT_DATA *zoneRemoveScript(ZONE_DATA *zone, int script);
+DIALOG_DATA *zoneRemoveDialog(ZONE_DATA *zone, int script);
 
 
 
@@ -82,10 +82,10 @@
 // get and set functions for zones
 //
 //*****************************************************************************
-zone_vnum zoneGetVnum(ZONE_DATA *zone);
-room_vnum zoneGetMinBound(ZONE_DATA *zone);
-room_vnum zoneGetMaxBound(ZONE_DATA *zone);
-room_vnum getFreeRoomVnum(ZONE_DATA *zone);
+int zoneGetVnum(ZONE_DATA *zone);
+int zoneGetMinBound(ZONE_DATA *zone);
+int zoneGetMaxBound(ZONE_DATA *zone);
+int getFreeRoomVnum(ZONE_DATA *zone);
 int zoneGetPulseTimer(ZONE_DATA *zone);
 int zoneGetPulse(ZONE_DATA *zone);
 WORLD_DATA *zoneGetWorld(ZONE_DATA *zone);
@@ -94,16 +94,16 @@
 const char *zoneGetEditors(ZONE_DATA *zone);
 BUFFER     *zoneGetDescBuffer(ZONE_DATA *zone);
 bool        canEditZone(ZONE_DATA *zone, CHAR_DATA *ch);
-ROOM_DATA  *zoneGetRoom(ZONE_DATA *zone, room_vnum room);
-CHAR_DATA   *zoneGetMob(ZONE_DATA *zone, mob_vnum room);
-OBJ_DATA   *zoneGetObj(ZONE_DATA *zone, obj_vnum obj);
-SCRIPT_DATA *zoneGetScript(ZONE_DATA *zone, script_vnum script);
-DIALOG_DATA *zoneGetDialog(ZONE_DATA *zone, dialog_vnum dialog);
+ROOM_DATA  *zoneGetRoom(ZONE_DATA *zone, int room);
+CHAR_DATA   *zoneGetMob(ZONE_DATA *zone, int room);
+OBJ_DATA   *zoneGetObj(ZONE_DATA *zone, int obj);
+SCRIPT_DATA *zoneGetScript(ZONE_DATA *zone, int script);
+DIALOG_DATA *zoneGetDialog(ZONE_DATA *zone, int dialog);
 void        *zoneGetAuxiliaryData(const ZONE_DATA *zone, char *name);
 
-void zoneSetVnum(ZONE_DATA *zone, zone_vnum vnum);
-void zoneSetMinBound(ZONE_DATA *zone, room_vnum min);
-void zoneSetMaxBound(ZONE_DATA *zone, room_vnum max);
+void zoneSetVnum(ZONE_DATA *zone, int vnum);
+void zoneSetMinBound(ZONE_DATA *zone, int min);
+void zoneSetMaxBound(ZONE_DATA *zone, int max);
 void zoneSetPulseTimer(ZONE_DATA *zone, int timer);
 void zoneSetPulse(ZONE_DATA *zone, int pulse_left);
 void zoneSetWorld(ZONE_DATA *zone, WORLD_DATA *world);
